# -*- mode: RPM-SPEC; indent-tabs-mode: nil -*-
%define _prefix /opt/lscsoft/ldas-tools
%define buildroot %{_tmppath}/%{name}-%{version}-%{release}-root

Summary: Suite of LDAS tools
Name: ldas-tools
Version: 1.19.22
Release: 1
License: ?
URL: http://www.ligo.caltech.edu
Group: Application/Scientific
BuildRoot: %{buildroot}
Source0: http://ldas-sw.ligo.caltech.edu/packages/ldas-tools-%{version}.tar.gz
Buildrequires: autoconf automake libtool zlib-devel openssl-devel flex bison

%description
This is a collection of tools developed as part of the LDAS project.

%package general
Group: Application/Scientific
Summary: LDAS tools libgeneral toolkit runtime files
%description general
This provides the runtime libraries for the general library.
Requires: ldas-tools

%package general-devel
Group: Development/Scientific
Summary: LDAS tools libgeneral toolkit development files
%description general-devel
This provides the develpement files the general library.
Requires: ldas-tools-general

%package framecpp
Group: Application/Scientific
Summary: LDAS tools libframecpp toolkit runtime files
%description framecpp
This provides the runtime libraries for the framecpp library.
Requires: ldas-tools-general

%package framecpp-devel
Group: Development/Scientific
Summary: LDAS tools libframecpp toolkit development files
%description framecpp-devel
This provides the develpement files the framecpp library.
Requires: ldas-tools-general-devel, ldas-tools-framecpp

%package framec
Group: Application/Scientific
Summary: LDAS tools c wrapping of libframecpp
%description framec
This provides the runtime libraries for the framecpp library.
Requires: ldas-tools-framecpp

%package framec-devel
Group: Development/Scientific
Summary: LDAS tools libframec toolkit development files
%description framec-devel
This provides the develpement files the framecpp library.
Requires: ldas-tools-framecpp-devel

%package genericAPI
Group: Application/Scientific
Summary: LDAS tools libgenericAPI toolkit runtime files
%description genericAPI
This provides the runtime libraries for the genericAPI library.
Requires: ldas-tools-general

%package genericAPI-devel
Group: Development/Scientific
Summary: LDAS tools libgenericAPI toolkit development files
%description genericAPI-devel
This provides the develpement files the genericAPI library.
Requires: ldas-tools-general-devel, ldas-tools-genericAPI

%package diskcacheAPI
Group: Application/Scientific
Summary: LDAS tools libdiskcacheAPI toolkit runtime files
%description diskcacheAPI
This provides the runtime libraries for the diskcacheAPI library.
Requires: ldas-tools-genericAPI

%package diskcacheAPI-devel
Group: Development/Scientific
Summary: LDAS tools libdiskcacheAPI toolkit development files
%description diskcacheAPI-devel
This provides the develpement files the diskcacheAPI library.
Requires: ldas-tools-genericAPI-devel, ldas-tools-diskcacheAPI

%prep

%setup -q

%build

%configure --disable-auto-ldcg-inclusion --without-ospace --without-stlport --with-optimization=high --enable-inlining --without-odbc --disable-metadata-api --disable-tcl --disable-python
make
make check

%install
rm -rf %{buildroot}
#--------------------------------------------------------------
# install lscsoft specific files
#--------------------------------------------------------------
make install DESTDIR=%{buildroot}
make lscsoft-install DESTDIR=%{buildroot}
#--------------------------------------------------------------
# Removed unwanted friles from top level Makefile
#--------------------------------------------------------------
rm -rf %{buildroot}%{_bindir}/hotgrep
rm -rf %{buildroot}%{_bindir}/html2text
rm -rf %{buildroot}%{_bindir}/runLDAS
rm -rf %{buildroot}%{_bindir}/scancluster
rm -rf %{buildroot}%{_prefix}/doc/index.html
rm -rf %{buildroot}%{_prefix}/doc/tcl_docs
rm -rf %{buildroot}%{_prefix}/doc/Run_LDAS.html
rm -rf %{buildroot}%{_prefix}/doc/under_const.html
#--------------------------------------------------------------
# Removed unwanted files general
#--------------------------------------------------------------
rm -rf %{buildroot}%{_bindir}/pce2
rm -rf %{buildroot}%{_prefix}/doc/INSTALL_SUITE.html
rm -rf %{buildroot}%{_libdir}/perceps
#--------------------------------------------------------------
# Removed unwanted friles from genericAPI
#--------------------------------------------------------------
rm -rf %{buildroot}%{_bindir}/LDASapi.rsc
rm -rf %{buildroot}%{_bindir}/LDASgwrap
#--------------------------------------------------------------
# Removed unwanted friles from diskcacheAPI
#--------------------------------------------------------------
rm -rf %{buildroot}%{_bindir}/cacheCheck
rm -rf %{buildroot}%{_bindir}/cacheDump
rm -rf %{buildroot}%{_bindir}/cacheDump.py
rm -rf %{buildroot}%{_bindir}/cacheDump.pyc
rm -rf %{buildroot}%{_bindir}/cacheDump.pyo
rm -rf %{buildroot}%{_bindir}/diskcacheAPI
rm -rf %{buildroot}%{_bindir}/lsync.tcl
rm -rf %{buildroot}%{_libdir}/diskcacheAPI/*.tcl
rm -rf %{buildroot}%{_libdir}/diskcacheAPI/*.ini
rm -rf %{buildroot}%{_libdir}/diskcacheAPI/*.rsc
rm -rf %{buildroot}%{_sbindir}/ldas/ldas-monitor-sys-test

%clean
rm -rf %{buildroot}

%files
%{_prefix}/etc/ldas-tools-user-env.*

%files general
%defattr(-,root,root,-)
##%{_bindir}
%{_libdir}/libexception*.so*
%{_libdir}/libgeneral*.so*
%{_libdir}/libpreload*.so*

%files general-devel
%defattr(-,root,root)
%{_includedir}/general
%{_includedir}/ldas/ldasconfig.hh
%{_libdir}/libexception.*a
%{_libdir}/libgeneral.*a
%{_libdir}/libpreload.*a
%{_prefix}/doc/general
%{_datadir}/ldas/valgrind

%files framecpp
%defattr(-,root,root,-)
%{_bindir}/framecpp_*
%{_libdir}/libframecpp*.so*

%files framecpp-devel
%defattr(-,root,root)
%{_includedir}/framecpp
%{_prefix}/doc/framecpp
%{_libdir}/libframecpp*.*a
%{_libdir}/pkgconfig/framecpp.pc

%files framec
%defattr(-,root,root,-)
%{_libdir}/libframec.so*

%files framec-devel
%defattr(-,root,root)
%{_includedir}/framec
%{_libdir}/libframec.*a
%{_libdir}/pkgconfig/framec.pc

%files genericAPI
%defattr(-,root,root,-)
##%{_bindir}
%{_libdir}/libStat*.so*
%{_libdir}/libgenericCore*.so*
%{_libdir}/genericAPI
%{_libexecdir}/ldas/lstat

%files genericAPI-devel
%defattr(-,root,root)
%{_includedir}/genericAPI
%{_libdir}/libStat.*a
%{_libdir}/libgenericCore.*a
%{_prefix}/doc/genericAPI
%{_prefix}/doc/gifs

%files diskcacheAPI
%defattr(-,root,root,-)
%{_bindir}/diskcache
%{_bindir}/ldas-cache-dump-verify
%{_libdir}/diskcacheAPI/libdiskcache*.so*

%files diskcacheAPI-devel
%defattr(-,root,root)
%{_includedir}/diskcacheAPI
%{_libdir}/diskcacheAPI/*.*a
%{_libdir}/pkgconfig/diskcache.pc
%{_prefix}/doc/diskcacheAPI

%changelog
* Fri Oct 11 2011 Edward Maros <emaros@ligo.caltech.edu> - ldas-tools-1
- Initial build.
